unit Unit1;

interface

uses
  Windows, ComCtrls,Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeURL, TeeNavigator, TeeEdiGene, Grids, TeeChartGrid,
  TeePreviewPanel, TeeGalleryPanel, TeeEdit, StdCtrls, TeeLisB,
  TeeSeriesTextEd, TeeOpenGL, ExtCtrls, TeeProcs, TeeDraw3D, TeCanvas,
  TeePenDlg, TeEngine, TeeDBEdit, TeeDBCrossTab, DB, TeeData, SUIButton,
  SUIForm, TeeInspector, Chart, Series, TeeSmith, Buttons, TeeComma;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Chart1: TChart;
    Series1: TBarSeries;
    ColorDialog1: TColorDialog;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    TeeCommander1: TTeeCommander;
    ChartListBox1: TChartListBox;
    Series2: TPointSeries;
    Series3: TBarSeries;
    Series4: TFastLineSeries;
    Series5: TFastLineSeries;
    Series6: TLineSeries;
    Series7: TLineSeries;
    Series8: TLineSeries;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    CheckBox5: TCheckBox;
    Button1: TButton;
    ChartEditor1: TChartEditor;

    procedure FormCreate(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
    procedure CheckBox5Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
Series1.FillSampleValues(7);
Series2.FillSampleValues(7);
Series3.FillSampleValues(7);
Series4.FillSampleValues(7);
Series5.FillSampleValues(7);
Series6.FillSampleValues(7);
Series7.FillSampleValues(7);
Series8.FillSampleValues(7);
end;



procedure TForm1.CheckBox1Click(Sender: TObject);
begin //图标
if CheckBox1.Checked then
  ChartListBox1.ShowSeriesIcon := true
  else
  ChartListBox1.ShowSeriesIcon := false;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin //颜色
if CheckBox2.Checked then
  ChartListBox1.ShowSeriesColor := true
  else
  ChartListBox1.ShowSeriesColor := false;

end;

procedure TForm1.CheckBox3Click(Sender: TObject);
begin //检查框
if CheckBox3.Checked then
  ChartListBox1.ShowActiveCheck := true
  else
  ChartListBox1.ShowActiveCheck := false;


end;

procedure TForm1.CheckBox4Click(Sender: TObject);
begin  //标题
if CheckBox4.Checked then
  ChartListBox1.ShowSeriesTitle := true
  else
  ChartListBox1.ShowSeriesTitle := false;


end;

procedure TForm1.CheckBox5Click(Sender: TObject);
begin    //名称
if CheckBox5.Checked then
  ChartListBox1.ShowSeriesNames := true
  else
  ChartListBox1.ShowSeriesNames:= false;


end;

procedure TForm1.Button1Click(Sender: TObject);
begin
ChartListBox1.ShowEditor;
end;

end.
